org.mariadb.jdbc.internal.mysql.packet.commands

## Class MySQLClientAuthPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.packet.commands.MySQLClientAuthPacket

All Implemented Interfaces:
  CommandPacket

    public class MySQLClientAuthPacket
    extends Object
    implements CommandPacket

4 client_flags 4 max_packet_size 1 charset_number 23 (filler) always 0x00... n (Null-Terminated String) user n (Length Coded Binary) scramble_buff (1 + x bytes) 1 (filler) always 0x00 n (Null-Terminated String) databasename

client_flags: CLIENT_xxx options. The list of possible flag values is in the description of the Handshake Initialisation Packet, for server_capabilities. For some of the bits, the server passed "what it's capable of". The client leaves some of the bits on, adds others, and passes back to the server. One important flag is: whether compression is desired.

max_packet_size: the maximum number of bytes in a packet for the client

charset_number: in the same domain as the server_language field that the server passes in the Handshake Initialization packet.

user: identification

scramble_buff: the password, after encrypting using the scramble_buff contents passed by the server (see "Password functions" section elsewhere in this document) if length is zero, no password was given

databasename: name of schema to use initially

### Constructor Summary

Constructors
Constructor and Description
`MySQLClientAuthPacket(String username, String password, String database, int serverCapabilities, byte[] seed, byte packetSeq)`

### Method Summary

Methods
`int` `send(OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MySQLClientAuthPacket

    public MySQLClientAuthPacket(String username,
                         String password,
                         String database,
                         int serverCapabilities,
                         byte[] seed,
                         byte packetSeq)

### Method Detail

#### send

    public int send(OutputStream os)
             throws IOException

Specified by:
  `send` in interface `CommandPacket`
Throws:
  `IOException`